-- begin CUBADEMO_EVENT
create table CUBADEMO_EVENT (
    ID varchar(32),
    VERSION integer not null,
    CREATE_TS datetime(3),
    CREATED_BY varchar(50),
    UPDATE_TS datetime(3),
    UPDATED_BY varchar(50),
    DELETE_TS datetime(3),
    DELETED_BY varchar(50),
    --
    DEVICE_ID varchar(32) not null,
    --
    primary key (ID)
)^
-- end CUBADEMO_EVENT
-- begin CUBADEMO_DEVICE
create table CUBADEMO_DEVICE (
    ID varchar(32),
    VERSION integer not null,
    CREATE_TS datetime(3),
    CREATED_BY varchar(50),
    UPDATE_TS datetime(3),
    UPDATED_BY varchar(50),
    DELETE_TS datetime(3),
    DELETED_BY varchar(50),
    --
    DEVICE_TYPE_ID varchar(32) not null,
    MEMO varchar(255),
    --
    primary key (ID)
)^
-- end CUBADEMO_DEVICE
-- begin CUBADEMO_DEVICE_TYPE
create table CUBADEMO_DEVICE_TYPE (
    ID varchar(32),
    VERSION integer not null,
    CREATE_TS datetime(3),
    CREATED_BY varchar(50),
    UPDATE_TS datetime(3),
    UPDATED_BY varchar(50),
    DELETE_TS datetime(3),
    DELETED_BY varchar(50),
    --
    NAME varchar(255),
    CODE varchar(255),
    MEMO varchar(255),
    --
    primary key (ID)
)^
-- end CUBADEMO_DEVICE_TYPE
