package com.company.cubademo.entity;

import com.haulmont.chile.core.annotations.NamePattern;
import com.haulmont.cuba.core.entity.StandardEntity;
import com.haulmont.cuba.core.entity.annotation.Lookup;
import com.haulmont.cuba.core.entity.annotation.LookupType;

import javax.persistence.*;

@Table(name = "CUBADEMO_EVENT")
@Entity(name = "cubademo_Event")
public class Event extends StandardEntity {
    private static final long serialVersionUID = -5243420577803967278L;

    @Lookup(type = LookupType.DROPDOWN, actions = {"open"})
    @ManyToOne(fetch = FetchType.LAZY, optional = false)
    @JoinColumn(name = "DEVICE_ID")
    protected Device device;


    public Device getDevice() {
        return device;
    }

    public void setDevice(Device device) {
        this.device = device;
    }
}